<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Automate cellulaire: Référence du fichier src/utils.c</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Automate cellulaire
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Fonctions</a>  </div>
  <div class="headertitle">
<div class="title">Référence du fichier utils.c</div>  </div>
</div><!--header-->
<div class="contents">

<p>Des fonctions utiles de traitement pour les autres fonctions.  
<a href="#details">Plus de détails...</a></p>
<div class="textblock"><code>#include &quot;utils.h&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Graphe des dépendances par inclusion de utils.c:</div>
<div class="dyncontent">
<div class="center"><img src="utils_8c__incl.png" border="0" usemap="#src_2utils_8c" alt=""/></div>
<map name="src_2utils_8c" id="src_2utils_8c">
<area shape="rect" title="Des fonctions utiles de traitement pour les autres fonctions." alt="" coords="5,5,84,32"/>
<area shape="rect" title=" " alt="" coords="16,80,73,107"/>
</map>
</div>
</div>
<p><a href="utils_8c_source.html">Aller au code source de ce fichier.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Fonctions</h2></td></tr>
<tr class="memitem:a24de25c90e051b42fa3d59a7814b0b7c"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="utils_8c.html#a24de25c90e051b42fa3d59a7814b0b7c">decimal_to_binary</a> (char **ptr_char, unsigned int val)</td></tr>
<tr class="memdesc:a24de25c90e051b42fa3d59a7814b0b7c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convertir un nombre decimal entre 0 et 256 en binaire.  <a href="utils_8c.html#a24de25c90e051b42fa3d59a7814b0b7c">Plus de détails...</a><br /></td></tr>
<tr class="separator:a24de25c90e051b42fa3d59a7814b0b7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b7908e8916a52b84521dfee1c9fa0d3"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="utils_8c.html#a3b7908e8916a52b84521dfee1c9fa0d3">binary_to_decimal</a> (char *binary)</td></tr>
<tr class="memdesc:a3b7908e8916a52b84521dfee1c9fa0d3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convertit un nombre binaire en decimal.  <a href="utils_8c.html#a3b7908e8916a52b84521dfee1c9fa0d3">Plus de détails...</a><br /></td></tr>
<tr class="separator:a3b7908e8916a52b84521dfee1c9fa0d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>Des fonctions utiles de traitement pour les autres fonctions. </p>
<dl class="section author"><dt>Auteur</dt><dd>Arnaud Orlay (<a href="#" onclick="location.href='mai'+'lto:'+'arn'+'au'+'d.o'+'rl'+'ay@'+'et'+'u.u'+'ni'+'v-o'+'rl'+'ean'+'s.'+'fr'; return false;">arnau<span style="display: none;">.nosp@m.</span>d.or<span style="display: none;">.nosp@m.</span>lay@e<span style="display: none;">.nosp@m.</span>tu.u<span style="display: none;">.nosp@m.</span>niv-o<span style="display: none;">.nosp@m.</span>rlea<span style="display: none;">.nosp@m.</span>ns.fr</a>) </dd>
<dd>
Nicolas Zhou (<a href="#" onclick="location.href='mai'+'lto:'+'nic'+'ol'+'as.'+'zh'+'ou@'+'et'+'u.u'+'ni'+'v-o'+'rl'+'ean'+'s.'+'fr'; return false;">nicol<span style="display: none;">.nosp@m.</span>as.z<span style="display: none;">.nosp@m.</span>hou@e<span style="display: none;">.nosp@m.</span>tu.u<span style="display: none;">.nosp@m.</span>niv-o<span style="display: none;">.nosp@m.</span>rlea<span style="display: none;">.nosp@m.</span>ns.fr</a>) </dd></dl>
<dl class="section version"><dt>Version</dt><dd>0.1 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>2019-10-04</dd></dl>
<dl class="section copyright"><dt>Copyright</dt><dd>Copyright (c) 2019 </dd></dl>

<p class="definition">Définition dans le fichier <a class="el" href="utils_8c_source.html">utils.c</a>.</p>
</div><h2 class="groupheader">Documentation des fonctions</h2>
<a id="a3b7908e8916a52b84521dfee1c9fa0d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b7908e8916a52b84521dfee1c9fa0d3">&#9670;&nbsp;</a></span>binary_to_decimal()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int binary_to_decimal </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>binary</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Convertit un nombre binaire en decimal. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">binary</td><td>Un entier a convertir en binaire </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>int la valeur binaire du paramètre </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="utils_8c_source.html#l00049">49</a> du fichier <a class="el" href="utils_8c_source.html">utils.c</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="utils_8c_a3b7908e8916a52b84521dfee1c9fa0d3_icgraph.png" border="0" usemap="#utils_8c_a3b7908e8916a52b84521dfee1c9fa0d3_icgraph" alt=""/></div>
<map name="utils_8c_a3b7908e8916a52b84521dfee1c9fa0d3_icgraph" id="utils_8c_a3b7908e8916a52b84521dfee1c9fa0d3_icgraph">
<area shape="rect" title="Convertit un nombre binaire en decimal." alt="" coords="399,5,525,32"/>
<area shape="rect" href="regle_8c.html#a66825a41280d604f6cd3c8b5f373a7ee" title="Créer une structure regle." alt="" coords="264,5,351,32"/>
<area shape="rect" href="automate_8c.html#a117ebb3a717f9bbd035e7b295dcf26cb" title="Créer un automate appartir des dnnées de configuration (structure fichier_configuration)" alt="" coords="104,5,216,32"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,5,56,32"/>
</map>
</div>

</div>
</div>
<a id="a24de25c90e051b42fa3d59a7814b0b7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24de25c90e051b42fa3d59a7814b0b7c">&#9670;&nbsp;</a></span>decimal_to_binary()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* decimal_to_binary </td>
          <td>(</td>
          <td class="paramtype">char **&#160;</td>
          <td class="paramname"><em>ptr_char</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>val</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Convertir un nombre decimal entre 0 et 256 en binaire. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">ptr_char</td><td>Un pointeur sur un tableau de caracteres </td></tr>
    <tr><td class="paramname">val</td><td>Un entier à convertir en binaire </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>char* la valeur binaire du paramètre </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="utils_8c_source.html#l00027">27</a> du fichier <a class="el" href="utils_8c_source.html">utils.c</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="utils_8c_a24de25c90e051b42fa3d59a7814b0b7c_icgraph.png" border="0" usemap="#utils_8c_a24de25c90e051b42fa3d59a7814b0b7c_icgraph" alt=""/></div>
<map name="utils_8c_a24de25c90e051b42fa3d59a7814b0b7c_icgraph" id="utils_8c_a24de25c90e051b42fa3d59a7814b0b7c_icgraph">
<area shape="rect" title="Convertir un nombre decimal entre 0 et 256 en binaire." alt="" coords="555,5,681,32"/>
<area shape="rect" href="regle_8c.html#a251bd1b86ce38f9b98b2bd4ec42432da" title="Créer un tableau de configuration pour deux etats." alt="" coords="399,5,507,32"/>
<area shape="rect" href="regle_8c.html#a66825a41280d604f6cd3c8b5f373a7ee" title="Créer une structure regle." alt="" coords="264,5,351,32"/>
<area shape="rect" href="automate_8c.html#a117ebb3a717f9bbd035e7b295dcf26cb" title="Créer un automate appartir des dnnées de configuration (structure fichier_configuration)" alt="" coords="104,5,216,32"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,5,56,32"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
